package com.goafanti.user.bo;

import com.goafanti.common.utils.excel.Excel;

public class outUserFollowList {
    @Excel(name = "客户名称")
    private String nickname;
    @Excel(name = "客户类型" ,readConverterExp = "0=私有，1=公共，2=签单，3=渠道")
    private Integer shareType;
    private Integer channel;
    private String id;
    @Excel(name = "客户初始时间")
    private String startTimes;
    @Excel(name = "跟进方式",readConverterExp = "0=外出，1=电话，2=QQ，3=微信，4=邮件，5=公出打卡")
    private Integer contactType;
    @Excel(name = "跟进人")
    private String followName;
    @Excel(name = "跟进公司")
    private String followDep;
    @Excel(name = "跟进说明")
    private String result;
    @Excel(name = "跟进时间")
    private String followTimes;
    @Excel(name = "跟进次数")
    private Integer followCount;
    @Excel(name = "指导人")
    private String guidanceName;
    @Excel(name = "指导意见")
    private String guidance;
    @Excel(name = "指导时间")
    private String guidanceTimes;
    private String contacts;
    private String contactMobile;
    private Integer province;
    private Integer city;
    private Integer area;
    private Integer type;
    private String pid;
    private String projectName;
    private String intendedProject;
    private String businessScope;

    public Integer getType() {
        return type;
    }

    public void setType(Integer type) {
        this.type = type;
    }

    public String getPid() {
        return pid;
    }

    public void setPid(String pid) {
        this.pid = pid;
    }

    public String getProjectName() {
        return projectName;
    }

    public void setProjectName(String projectName) {
        this.projectName = projectName;
    }

    public String getContacts() {
        return contacts;
    }

    public void setContacts(String contacts) {
        this.contacts = contacts;
    }

    public String getContactMobile() {
        return contactMobile;
    }

    public void setContactMobile(String contactMobile) {
        this.contactMobile = contactMobile;
    }

    public Integer getProvince() {
        return province;
    }

    public void setProvince(Integer province) {
        this.province = province;
    }

    public Integer getCity() {
        return city;
    }

    public void setCity(Integer city) {
        this.city = city;
    }

    public Integer getArea() {
        return area;
    }

    public void setArea(Integer area) {
        this.area = area;
    }

    public String getIntendedProject() {
        return intendedProject;
    }

    public void setIntendedProject(String intendedProject) {
        this.intendedProject = intendedProject;
    }

    public String getBusinessScope() {
        return businessScope;
    }

    public void setBusinessScope(String businessScope) {
        this.businessScope = businessScope;
    }

    public String getFollowTimes() {
        return followTimes;
    }

    public void setFollowTimes(String followTimes) {
        this.followTimes = followTimes;
    }

    public String getGuidanceName() {
        return guidanceName;
    }

    public void setGuidanceName(String guidanceName) {
        this.guidanceName = guidanceName;
    }

    public Integer getShareType() {
        return shareType;
    }

    public void setShareType(Integer shareType) {
        this.shareType = shareType;
    }

    public Integer getContactType() {
        return contactType;
    }

    public void setContactType(Integer contactType) {
        this.contactType = contactType;
    }

    public Integer getFollowCount() {
        return followCount;
    }

    public void setFollowCount(Integer followCount) {
        this.followCount = followCount;
    }

    public String getNickname() {
        return nickname;
    }

    public void setNickname(String nickname) {
        this.nickname = nickname;
    }



    public Integer getChannel() {
        return channel;
    }

    public void setChannel(Integer channel) {
        this.channel = channel;
    }

    public String getId() {
        return id;
    }

    public void setId(String id) {
        this.id = id;
    }

    public String getStartTimes() {
        return startTimes;
    }

    public void setStartTimes(String startTimes) {
        this.startTimes = startTimes;
    }



    public String getFollowName() {
        return followName;
    }

    public void setFollowName(String followName) {
        this.followName = followName;
    }

    public String getFollowDep() {
        return followDep;
    }

    public void setFollowDep(String followDep) {
        this.followDep = followDep;
    }

    public String getResult() {
        return result;
    }

    public void setResult(String result) {
        this.result = result;
    }



    public String getGuidance() {
        return guidance;
    }

    public void setGuidance(String guidance) {
        this.guidance = guidance;
    }

    public String getGuidanceTimes() {
        return guidanceTimes;
    }

    public void setGuidanceTimes(String guidanceTimes) {
        this.guidanceTimes = guidanceTimes;
    }
}
